Raised This Month: $63 Target: $400
 15% 

[L4D2] Helms Deep Patch (VPK Maker) (1.2) [11-Nov-2019]


Post New Thread Reply   
 
Thread Tools Display Modes
Author
Silvers
AlliedModders Donor
Join Date: Aug 2010
Location: SpaceX
Plugin ID:
6681
Plugin Version:
1.2
Plugin Category:
Server Management
Plugin Game:
Left 4 Dead
Plugin Dependencies:
    Servers with this Plugin:
     
    Plugin Description:
    Restores files overwritten by Helms Deep map. Creates a VPK addon to store the files.
    Old 08-14-2019 , 06:30   [L4D2] Helms Deep Patch (VPK Maker) (1.2) [11-Nov-2019]
    Reply With Quote #1

    About:
    • The latest "Helms Deep" map updates added various (mostly blank) SourceMod and Valve configuration files, overwriting their functionality.
    • Malicious scripting attempts from a megalomaniac (SeriouS_Samurai) who wants to remove SourceMod and MetaMod from running with his map.
    • Let me make this very clear, SeriouS_Samurai is not the original creator of the Helms Deep map and has stolen the map removing all credit to Team Chivalry. What a disgusting individual. YouTube by JAiZ.
    • Thanks to Valve the .cfg files do not work (obviously he didn't know): "February 21, 2017: Configuration files are no longer loaded from addon vpks. These configuration values were sometimes used for malicious purposes".
    • This plugin fixes various files he's attempted to overwrite, restoring BaseBans plugin and other things. I've included the .cfg files anyway just in case.
    • Each time the server is started it will generate and create new VPKs allowing for any changes to your configs. The maximum size for each file added is 32 KB, to increase change MAX_FILE_SIZE and recompile.
    • I chose this method to learn VPK creation via SourceMod. It also prevents modifying the maps VPK and any legal infringements. Couldn't detour functions to block overwriting files.
    • Recommended Plugin: VScript File Replacer to fix more stuff with Helms Deep.



    What This Does:
    • Modifies AddonList.txt to load the VPKs. This is required otherwise only some of the restored files are loaded.
    • Creates two identical VPK addons (sm_helms_patch1.vpk and sm_helms_patch2.vpk) with the following files.
    • Fixes BaseBans plugin.
    • Fixes SourceMod files:
      Spoiler
    • Fixes Valve files:
      Spoiler



    Admin Commands:
    • Requires "z" - ADMFLAG_ROOT flag
    PHP Code:
    sm_vpk     // Unloads all VPK addons, creates the Helms Deep Patch VPKs and reloads VPK addons.
    sm_vpkb    // Prints the valve file system and local file system versions of sourcemod/configs/banreasons.txt.
    sm_vpks    // Shows the VPK addon load order. Shorter wrapper command to show_addon_load_order. 


    ConVars:
    PHP Code:
    // Helms Deep Patch plugin version.
    sm_helms_patch_version 


    Changes:
    Code:
    1.2 (11-Nov-2019)
        - Can now write binary files to VPK.
    
    1.1 (11-Nov-2019)
        - Added new files from (10-Nov-2019) Helms Deep update attempt to overwrite them.
        - Now always detects when "addonlist.txt" order is incorrect and fixes.
        - Warns to restart server for loading addons in the correct order.
        - @SeriouS_Samurai: GTFO stupid noob. Your malware doesn't work.
    
        Also note:
        - "VScript File Replacer" plugin: changes to "vscripts_override.cfg" for Helms Deep.
    
    1.0.4 (24-Aug-2019)
        - Added check to prevent errors when VPK 2 is inaccessible.
    
    1.0.3 (18-Aug-2019)
        - Increased MAX_FILE_SIZE to 32 KB for packaging.
    
    1.0.2 (16-Aug-2019)
        - Added "cfg/banned_user.cfg" to list of fixes.
        - Converted source to use MethodMaps.
    
    1.0.1 (14-Aug-2019)
        - Added "host.txt" and "motd.txt" to list of fixes. Thanks to "Xanaguy" for reporting.
    
    1.0 (14-Aug-2019)
        - Initial release.


    Requirements
    • This plugin is only required if your server has "Helms Deep" map installed.


    Installation
    1. Click "Get Plugin" and put the .smx file into your servers \addons\sourcemod\plugins\ folder.
    2. Refresh your plugins to generate the VPKs and restart the server to load the patch. Or restart your server twice.
    3. Recommended Plugin: VScript File Replacer to fix more stuff with Helms Deep.


    Uninstalling
    1. Delete the plugin from your servers \addons\sourcemod\plugins\ folder.
    2. Delete sm_helms_patch1.vpk and sm_helms_patch2.vpk from your servers \addons\ folder.
    3. Restart the server.
    Attached Files
    File Type: sp Get Plugin or Get Source (l4d2_helms_deep_patch.sp - 22 views - 22.2 KB)
    __________________

    Last edited by Silvers; 11-11-2019 at 04:02.
    Silvers is offline
    Xanaguy
    Senior Member
    Join Date: Jan 2017
    Old 08-14-2019 , 06:34   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0) [14-Aug-2019]
    Reply With Quote #2

    I need to discuss a serious matter with you. Find me on steam or discord.
    Xanaguy is offline
    Silvers
    AlliedModders Donor
    Join Date: Aug 2010
    Location: SpaceX
    Old 08-14-2019 , 06:36   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0) [14-Aug-2019]
    Reply With Quote #3

    @SeriouS_Samurai: We'll always reverse your malicious scripting.

    @Everyone: if theres anything else which needs restoring or blocking please let me know. I'll be monitoring for future changes to the map and updating VScript Replacer config and this plugin as required. Think we got him nailed in.
    __________________

    Last edited by Silvers; 08-14-2019 at 07:12.
    Silvers is offline
    Mr. Man
    Veteran Member
    Join Date: Mar 2011
    Location: Huh?
    Old 08-14-2019 , 11:58   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.1) [14-Aug-2019]
    Reply With Quote #4

    Silvers bringing the actual bants!
    __________________
    Mr. Man is offline
    ricksfishin
    Senior Member
    Join Date: Oct 2017
    Old 08-15-2019 , 15:44   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.1) [14-Aug-2019]
    Reply With Quote #5

    sourcemod-1.10.0-6434

    Error log:
    Missing file: Cannot find VScript "scripts/vscripts/helms_deep_.+_survival.nut" to override.

    Last edited by ricksfishin; 08-15-2019 at 16:09.
    ricksfishin is offline
    Xanaguy
    Senior Member
    Join Date: Jan 2017
    Old 08-15-2019 , 16:24   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.1) [14-Aug-2019]
    Reply With Quote #6

    You need to have the helm's deep reborn addon in order to override the script
    Xanaguy is offline
    ricksfishin
    Senior Member
    Join Date: Oct 2017
    Old 08-15-2019 , 18:30   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.1) [14-Aug-2019]
    Reply With Quote #7

    Guess i need a link to helm's deep reborn addon.
    Is it workshop subscribe or vpk download?
    Had no luck with either. Thanks
    ricksfishin is offline
    Silvers
    AlliedModders Donor
    Join Date: Aug 2010
    Location: SpaceX
    Old 08-15-2019 , 18:52   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.1) [14-Aug-2019]
    Reply With Quote #8

    Quote:
    Originally Posted by ricksfishin View Post
    Guess i need a link to helm's deep reborn addon.
    Is it workshop subscribe or vpk download?
    Had no luck with either. Thanks
    Quote:
    Originally Posted by Silvers View Post
    Requirements
    • This plugin is only required if your server has "Helms Deep" map installed.
    For the VScript Replacer (where that errors from) you can delete the "helms_deep" { } section as it's not required if you don't have the map.
    __________________
    Silvers is offline
    Silvers
    AlliedModders Donor
    Join Date: Aug 2010
    Location: SpaceX
    Old 08-24-2019 , 13:52   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.4) [24-Aug-2019]
    Reply With Quote #9

    Updated.

    Also bump for anyone who uses this map and hasn't fixed the malicious additions.
    __________________
    Silvers is offline
    moekai
    Junior Member
    Join Date: Jul 2019
    Old 08-24-2019 , 21:50   Re: [L4D2] Helms Deep Patch (VPK Maker) (1.0.4) [24-Aug-2019]
    Reply With Quote #10

    I installed this plugin and VScript File Replacer and Helms Deep Sourcemod Enabler and got this messages in the consoles and I can't spawn any custom weapon. Any idea why?

    Quote:
    weapon_melee_spawn specifying an invalid melee weapon ( for this campaign? ) : small_knife
    weapon_melee_spawn failed to spawn a melee weapon - using string 'small_knife'
    weapon_melee_spawn specifying an invalid melee weapon ( for this campaign? ) : helms_sword_and_shield
    weapon_melee_spawn failed to spawn a melee weapon - using string 'helms_sword_and_shield'
    weapon_melee_spawn specifying an invalid melee weapon ( for this campaign? ) : helms_hatchet
    weapon_melee_spawn failed to spawn a melee weapon - using string 'helms_hatchet'
    weapon_melee_spawn specifying an invalid melee weapon ( for this campaign? ) : helms_sting
    weapon_melee_spawn failed to spawn a melee weapon - using string 'helms_sting'
    weapon_melee_spawn specifying an invalid melee weapon ( for this campaign? ) : helms_anduril
    weapon_melee_spawn failed to spawn a melee weapon - using string 'helms_anduril'
    moekai is offline
    Reply


    Thread Tools
    Display Modes

    Posting Rules
    You may not post new threads
    You may not post replies
    You may not post attachments
    You may not edit your posts

    BB code is On
    Smilies are On
    [IMG] code is On
    HTML code is Off

    Forum Jump


    All times are GMT -4. The time now is 20:42.


    Powered by vBulletin®
    Copyright ©2000 - 2019, vBulletin Solutions, Inc.
    Theme made by Freecode